---
tags:
- merge
- mergekit
- lazymergekit
- mlabonne/ChimeraLlama-3-8B-v2
- nbeerbower/llama-3-stella-8B
- uygarkurt/llama-3-merged-linear
base_model:
- mlabonne/ChimeraLlama-3-8B-v2
- nbeerbower/llama-3-stella-8B
- uygarkurt/llama-3-merged-linear
---

# NeuralLLaMa-3-8b-DT-v0.1

NeuralLLaMa-3-8b-DT-v0.1 is a merge of the following models using [LazyMergekit](https://colab.research.google.com/drive/1obulZ1ROXHjYLn6PPZJwRR6GzgQogxxb?usp=sharing):
* [mlabonne/ChimeraLlama-3-8B-v2](https://huggingface.co/mlabonne/ChimeraLlama-3-8B-v2)
* [nbeerbower/llama-3-stella-8B](https://huggingface.co/nbeerbower/llama-3-stella-8B)
* [uygarkurt/llama-3-merged-linear](https://huggingface.co/uygarkurt/llama-3-merged-linear)

## 🧩 Configuration

```yaml
models:
  - model: NousResearch/Meta-Llama-3-8B
    # No parameters necessary for base model
  - model: mlabonne/ChimeraLlama-3-8B-v2
    parameters:
      density: 0.33
      weight: 0.2
  - model: nbeerbower/llama-3-stella-8B
    parameters:
      density: 0.44
      weight: 0.4
  - model: uygarkurt/llama-3-merged-linear
    parameters:
      density: 0.55
      weight: 0.4
merge_method: dare_ties
base_model: NousResearch/Meta-Llama-3-8B
parameters:
  int8_mask: true
dtype: float16
```

## 💻 Usage

```python
!pip install -qU transformers accelerate

from transformers import AutoTokenizer
import transformers
import torch

model = "Kukedlc/NeuralLLaMa-3-8b-DT-v0.1"
messages = [{"role": "user", "content": "What is a large language model?"}]

tokenizer = AutoTokenizer.from_pretrained(model)
prompt = tokenizer.apply_chat_template(messages, tokenize=False, add_generation_prompt=True)
pipeline = transformers.pipeline(
    "text-generation",
    model=model,
    torch_dtype=torch.float16,
    device_map="auto",
)

outputs = pipeline(prompt, max_new_tokens=256, do_sample=True, temperature=0.7, top_k=50, top_p=0.95)
print(outputs[0]["generated_text"])
```